Wireshark 2.9.0-477-g68ec514b The Wireshark network protocol analyzer

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Signals | Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
QCPAbstractLegendItem Class Referenceabstract

The abstract base class for all entries in a QCPLegend. More...

Inheritance diagram for QCPAbstractLegendItem:

## Signals
void | selectionChanged (bool selected)
void | selectableChanged (bool selectable)
Signals inherited from QCPLayerable
void | layerChanged (QCPLayer *newLayer)

## Public Member Functions
| QCPAbstractLegendItem (QCPLegend *parent)
QCPLegend * | parentLegend () const
QFont | font () const
QColor | textColor () const
QFont | selectedFont () const
QColor | selectedTextColor () const
bool | selectable () const
bool | selected () const
void | setFont (const QFont &font)
void | setTextColor (const QColor &color)
void | setSelectedFont (const QFont &font)
void | setSelectedTextColor (const QColor &color)
Q_SLOT void | setSelectable (bool selectable)
Q_SLOT void | setSelected (bool selected)
virtual double | selectTest (const QPointF &pos, bool onlySelectable, QVariant *details=0) const
Public Member Functions inherited from QCPLayoutElement
| QCPLayoutElement (QCustomPlot *parentPlot=0)
QCPLayout * | layout () const
QRect | rect () const
QRect | outerRect () const
QMargins | margins () const
QMargins | minimumMargins () const
QCP::MarginSides | autoMargins () const
QSize | minimumSize () const
QSize | maximumSize () const
QCPMarginGroup * | marginGroup (QCP::MarginSide side) const
QHash< QCP::MarginSide, QCPMarginGroup * > | marginGroups () const
void | setOuterRect (const QRect &rect)
void | setMargins (const QMargins &margins)
void | setMinimumMargins (const QMargins &margins)
void | setAutoMargins (QCP::MarginSides sides)
void | setMinimumSize (const QSize &size)
void | setMinimumSize (int width, int height)
void | setMaximumSize (const QSize &size)
void | setMaximumSize (int width, int height)
void | setMarginGroup (QCP::MarginSides sides, QCPMarginGroup *group)
virtual void | update (UpdatePhase phase)
virtual QSize | minimumSizeHint () const
virtual QSize | maximumSizeHint () const
virtual QList< QCPLayoutElement * > | elements (bool recursive) const
Public Member Functions inherited from QCPLayerable
| QCPLayerable (QCustomPlot *plot, QString targetLayer=QString(), QCPLayerable *parentLayerable=0)
bool | visible () const
QCustomPlot * | parentPlot () const
QCPLayerable * | parentLayerable () const
QCPLayer * | layer () const
bool | antialiased () const
void | setVisible (bool on)
Q_SLOT bool | setLayer (QCPLayer *layer)
bool | setLayer (const QString &layerName)
void | setAntialiased (bool enabled)
bool | realVisibility () const

## Protected Member Functions
virtual QCP::Interaction | selectionCategory () const
virtual void | applyDefaultAntialiasingHint (QCPPainter *painter) const
virtual QRect | clipRect () const
virtual void | draw (QCPPainter *painter)=0
virtual void | selectEvent (QMouseEvent *event, bool additive, const QVariant &details, bool *selectionStateChanged)
virtual void | deselectEvent (bool *selectionStateChanged)
Protected Member Functions inherited from QCPLayoutElement
virtual int | calculateAutoMargin (QCP::MarginSide side)
virtual void | mousePressEvent (QMouseEvent *)
virtual void | mouseMoveEvent (QMouseEvent *)
virtual void | mouseReleaseEvent (QMouseEvent *)
virtual void | mouseDoubleClickEvent (QMouseEvent *)
virtual void | wheelEvent (QWheelEvent *)
virtual void | parentPlotInitialized (QCustomPlot *parentPlot)
Protected Member Functions inherited from QCPLayerable
void | initializeParentPlot (QCustomPlot *parentPlot)
void | setParentLayerable (QCPLayerable *parentLayerable)
bool | moveToLayer (QCPLayer *layer, bool prepend)
void | applyAntialiasingHint (QCPPainter *painter, bool localAntialiased, QCP::AntialiasedElement overrideElement) const

## Protected Attributes
QCPLegend * | mParentLegend
QFont | mFont
QColor | mTextColor
QFont | mSelectedFont
QColor | mSelectedTextColor
bool | mSelectable
bool | mSelected
Protected Attributes inherited from QCPLayoutElement
QCPLayout * | mParentLayout
QSize | mMinimumSize
QSize | mMaximumSize
QRect | mRect
QRect | mOuterRect
QMargins | mMargins
QMargins | mMinimumMargins
QCP::MarginSides | mAutoMargins
QHash< QCP::MarginSide, QCPMarginGroup * > | mMarginGroups
Protected Attributes inherited from QCPLayerable
bool | mVisible
QCustomPlot * | mParentPlot
QPointer< QCPLayerable > | mParentLayerable
QCPLayer * | mLayer
bool | mAntialiased

## Friends
class | QCPLegend

## Additional Inherited Members
Public Types inherited from QCPLayoutElement
enum | UpdatePhase { upPreparation, upMargins, upLayout }

## Detailed Description

The abstract base class for all entries in a QCPLegend.

It defines a very basic interface for entries in a QCPLegend. For representing plottables in the legend, the subclass QCPPlottableLegendItem is more suitable.

Only derive directly from this class when you need absolute freedom (e.g. a custom legend entry that's not even associated with a plottable).

You must implement the following pure virtual functions:

- draw (from QCPLayerable)

You inherit the following members you may use:

QCPLegend *mParentLegend | A pointer to the parent QCPLegend.
QFont mFont | The generic font of the item. You should use this font for all or at least the most prominent text of the item.

## Constructor & Destructor Documentation

QCPAbstractLegendItem::QCPAbstractLegendItem | ( | QCPLegend * | parent | ) |
| explicit

Constructs a QCPAbstractLegendItem and associates it with the QCPLegend parent. This does not cause the item to be added to parent, so QCPLegend::addItem must be called separately.

## Member Function Documentation

void QCPAbstractLegendItem::selectionChanged | ( | bool | selected | ) |
| signal

This signal is emitted when the selection state of this legend item has changed, either by user interaction or by a direct call to setSelected.

double QCPAbstractLegendItem::selectTest | ( | const QPointF & | pos,
|  | bool | onlySelectable,
|  | QVariant * | details = `0`
| ) |  | const
| virtual

Layout elements are sensitive to events inside their outer rect. If pos is within the outer rect, this method returns a value corresponding to 0.99 times the parent plot's selection tolerance. However, layout elements are not selectable by default. So if onlySelectable is true, -1.0 is returned.

See QCPLayerable::selectTest for a general explanation of this virtual method.

QCPLayoutElement subclasses may reimplement this method to provide more specific selection test behaviour.

Reimplemented from QCPLayoutElement.

void QCPAbstractLegendItem::setFont | ( | const QFont & | font | ) |

Sets the default font of this specific legend item to font.

See also
  setTextColor, QCPLegend::setFont

void QCPAbstractLegendItem::setSelectable | ( | bool | selectable | ) |

Sets whether this specific legend item is selectable.

See also
  setSelectedParts, QCustomPlot::setInteractions

void QCPAbstractLegendItem::setSelected | ( | bool | selected | ) |

Sets whether this specific legend item is selected.

It is possible to set the selection state of this item by calling this function directly, even if setSelectable is set to false.

See also
  setSelectableParts, QCustomPlot::setInteractions

void QCPAbstractLegendItem::setSelectedFont | ( | const QFont & | font | ) |

When this legend item is selected, font is used to draw generic text, instead of the normal font set with setFont.

See also
  setFont, QCPLegend::setSelectedFont

void QCPAbstractLegendItem::setSelectedTextColor | ( | const QColor & | color | ) |

When this legend item is selected, color is used to draw generic text, instead of the normal color set with setTextColor.

See also
  setTextColor, QCPLegend::setSelectedTextColor

void QCPAbstractLegendItem::setTextColor | ( | const QColor & | color | ) |

Sets the default text color of this specific legend item to color.

See also
  setFont, QCPLegend::setTextColor

The documentation for this class was generated from the following files:

- /home/wireshark/builders/wireshark-master/ubuntu-16.04-x64/build/ui/qt/widgets/qcustomplot.h
- ui/qt/moc_qcustomplot.cpp
- /home/wireshark/builders/wireshark-master/ubuntu-16.04-x64/build/ui/qt/widgets/qcustomplot.cpp